Package Details: jabref-git 1:2.9.2.r7414.gef7f8248b-1

Git Clone URL: https://aur.archlinux.org/jabref-git.git (read-only)
Package Base: jabref-git
Description: GUI frontend for BibTeX, written in Java -- built from git
Upstream URL: https://www.jabref.org
Licenses: MIT
Conflicts: jabref
Provides: jabref
Submitter: haawda
Maintainer: danmc
Last Packager: danmc
Votes: 13
Popularity: 0.000263
First Submitted: 2012-03-20 17:01
Last Updated: 2017-10-12 03:03

Dependencies (5)

Required by (0)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3

manolomartinez commented on 2013-04-16 15:52

jabref expects java at /opt/java/jre/bin, but openjdk is at /usr/lib. Perhaps something like the following should be added to the pkgbuild?

mkdir -p /opt/java/jre/bin
ln -s /usr/lib/jvm/java-7-openjdk/jre/bin/java /opt/java/jre/bin/

manolomartinez commented on 2013-04-16 15:40

jabref expects java at /opt/java/jre/bin, but openjdk is at /usr/lib. Perhaps something like the following should be added to the pkgbuild?

mkdir -p /opt/java/jre/bin
ln -s /usr/lib/jvm/java-7-openjdk/jre/bin/java /opt/java/jre/bin/

daspostloch commented on 2013-04-09 11:51

confirming that fix works here, thanks!

haawda commented on 2013-04-09 11:29

fixed, thanks

daspostloch commented on 2013-04-09 10:25

With a fully up-to-date system, I get:

[jar] Building jar: /tmp/yaourt-tmp-user/aur-jabref-git/src/jabref/jabref/build/lib/JabRef-2.9b.jar

BUILD SUCCESSFUL
Total time: 20 seconds
==> Entering fakeroot environment...
==> Starting package()...
/tmp/yaourt-tmp-user/aur-jabref-git/./PKGBUILD: line 32: cd: /tmp/yaourt-tmp-user/aur-jabref-git/src/jabref-build: No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build jabref-git.
==> Restart building jabref-git ? [y/N]
==> -----------------------------------

haawda commented on 2012-06-20 17:09

no, it is not a dependency, but a makedependency.

Anonymous comment on 2012-06-20 08:31

tried to install it just a minute ago - dependency error : missing apache-ant
please add to displayed dependencies here

haawda commented on 2012-05-21 21:23

Gives version 2.8 now. ant lives now in /usr/bin, so I removed the full path from the call.

haawda commented on 2012-03-20 17:02

Initial upload, gives 2.8b2 (like jabref-beta, but hopefully with the most recent fixes).